Bug 998015 - [abrt] wesnoth-1.10.6-7.fc19: __assert_fail_base: Process /usr/bin/wesnoth was killed by signal 6 (SIGABRT)
[abrt] wesnoth-1.10.6-7.fc19: __assert_fail_base: Process /usr/bin/wesnoth wa...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: wesnoth (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:0da83af82ee1004645044fd759c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-16 14:15 EDT by Paweł Brodacki
Modified: 2013-08-23 09:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-23 09:33:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (253.81 KB, text/plain)
2013-08-16 14:15 EDT, Paweł Brodacki
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-16 14:15 EDT, Paweł Brodacki
no flags Details
File: core_backtrace (10.55 KB, text/plain)
2013-08-16 14:15 EDT, Paweł Brodacki
no flags Details
File: dso_list (8.86 KB, text/plain)
2013-08-16 14:15 EDT, Paweł Brodacki
no flags Details
File: environ (1.12 KB, text/plain)
2013-08-16 14:15 EDT, Paweł Brodacki
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-16 14:16 EDT, Paweł Brodacki
no flags Details
File: maps (46.59 KB, text/plain)
2013-08-16 14:16 EDT, Paweł Brodacki
no flags Details
File: open_fds (892 bytes, text/plain)
2013-08-16 14:16 EDT, Paweł Brodacki
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2013-08-16 14:16 EDT, Paweł Brodacki
no flags Details
File: var_log_messages (295 bytes, text/plain)
2013-08-16 14:16 EDT, Paweł Brodacki
no flags Details

  None (edit)
Description Paweł Brodacki 2013-08-16 14:15:40 EDT
Version-Release number of selected component:
wesnoth-1.10.6-7.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/wesnoth
crash_function: __assert_fail_base
executable:     /usr/bin/wesnoth
kernel:         3.10.6-200.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 __assert_fail_base at assert.c:92
 #3 __assert_fail at assert.c:101
 #4 game_display::set_team at src/game_display.cpp:1308
 #5 replay_controller::init_gui at src/replay_controller.cpp:107
 #6 replay_controller::reset_replay at src/replay_controller.cpp:280
 #7 replay_controller::replay_controller at src/replay_controller.cpp:80
 #8 play_replay_level at src/replay_controller.cpp:45
 #9 play_replay at src/playcampaign.cpp:102
 #10 game_controller::play_replay at src/game_controller.cpp:1292
 #11 do_gameloop at src/game.cpp:581
Comment 1 Paweł Brodacki 2013-08-16 14:15:45 EDT
Created attachment 787401 [details]
File: backtrace
Comment 2 Paweł Brodacki 2013-08-16 14:15:49 EDT
Created attachment 787402 [details]
File: cgroup
Comment 3 Paweł Brodacki 2013-08-16 14:15:52 EDT
Created attachment 787403 [details]
File: core_backtrace
Comment 4 Paweł Brodacki 2013-08-16 14:15:56 EDT
Created attachment 787404 [details]
File: dso_list
Comment 5 Paweł Brodacki 2013-08-16 14:15:59 EDT
Created attachment 787405 [details]
File: environ
Comment 6 Paweł Brodacki 2013-08-16 14:16:02 EDT
Created attachment 787406 [details]
File: limits
Comment 7 Paweł Brodacki 2013-08-16 14:16:05 EDT
Created attachment 787407 [details]
File: maps
Comment 8 Paweł Brodacki 2013-08-16 14:16:12 EDT
Created attachment 787408 [details]
File: open_fds
Comment 9 Paweł Brodacki 2013-08-16 14:16:15 EDT
Created attachment 787409 [details]
File: proc_pid_status
Comment 10 Paweł Brodacki 2013-08-16 14:16:18 EDT
Created attachment 787410 [details]
File: var_log_messages
Comment 11 Gwyn Ciesla 2013-08-20 10:27:38 EDT
What were you doing in the game when it crashed?
Comment 12 Paweł Brodacki 2013-08-21 00:53:58 EDT
I'm not 100% sure. I think what I did was chose "Quit" from the "File" menu and then the game hung. The window was greyed out, so I think my Fedora was convinced that the program was not responding to input. I clicked on the (X) in the upper right corner of the window, which close it but caused the crash.
Comment 13 Gwyn Ciesla 2013-08-23 09:33:50 EDT
Interesting.  If it reoccurs, please reopen.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.